Last Comment Bug 693001 - IndexedDB: objectStoreNames should not be updated on closed databases when another connection adds/removes object stores
: IndexedDB: objectStoreNames should not be updated on closed databases when an...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on: 699468
Blocks: idb
  Show dependency treegraph
 
Reported: 2011-10-07 16:53 PDT by Jonas Sicking (:sicking) PTO Until July 5th
Modified: 2012-03-22 11:53 PDT (History)
4 users (show)
khuey: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jonas Sicking (:sicking) PTO Until July 5th 2011-10-07 16:53:57 PDT
If a database calls createObjectStore, we should *only* modify the .objectStoreNames property of that IDBDatabase instance. Any other closed IDBDatabase instances which refer to the same database should remain unchanged.
Comment 1 Jonas Sicking (:sicking) PTO Until July 5th 2011-10-12 14:00:51 PDT
Same thing goes for .indexNames and .version
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-10-12 14:02:17 PDT
.version is Bug 692865.
Comment 3 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-07 16:55:37 PST
This should be fixed by bug 699468.

Note You need to log in before you can comment on or make changes to this bug.